Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1470358 (php-jms-serializer) - Review Request: php-jms-serializer - Library for (de-)serializing data of any complexity
Summary: Review Request: php-jms-serializer - Library for (de-)serializing data of any...
Keywords:
Status: CLOSED ERRATA
Alias: php-jms-serializer
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: phpdoc_v2_tracking phpdoc
TreeView+ depends on / blocked
 
Reported: 2017-07-12 19:50 UTC by Shawn Iwinski
Modified: 2017-10-06 02:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-28 16:55:08 UTC
Type: ---
Embargoed:
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (2.70 KB, text/plain)
2017-09-22 05:32 UTC, Remi Collet
no flags Details
phpci.log (74.98 KB, text/plain)
2017-09-22 05:33 UTC, Remi Collet
no flags Details
review.txt (8.39 KB, text/plain)
2017-09-22 05:34 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2017-07-12 19:50:45 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/f463bb372674e9008c2ad6b11489e442898a73a3/php-jms-serializer/php-jms-serializer.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-jms-serializer-1.7.1-1.fc26.src.rpm

Description:
This library allows you to (de-)serialize data of any complexity. Currently, it
supports XML, JSON, and YAML.

It also provides you with a rich tool-set to adapt the output to your specific
needs.

Built-in features include:
* (De-)serialize data of any complexity; circular references are handled
  gracefully.
* Supports many built-in PHP types (such as dates)
* Integrates with Doctrine ORM, et. al.
* Supports versioning, e.g. for APIs
* Configurable via PHP, XML, YAML, or Doctrine Annotations


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2017-08-09 12:37:53 UTC
DEBUG util.py:450:  No matching package to install: 'php-JMSParser >= 1.0.0-7'
DEBUG util.py:450:  No matching package to install: 'php-composer(jms/metadata) >= 1.6.0'
DEBUG util.py:450:  No matching package to install: 'php-composer(jms/metadata) < 2.0'
DEBUG util.py:450:  No matching package to install: 'php-composer(jms/parser-lib) < 2.0'
DEBUG util.py:450:  No matching package to install: 'php-composer(phpcollection/phpcollection) >= 0.5.0'
DEBUG util.py:450:  No matching package to install: 'php-composer(phpcollection/phpcollection) < 1.0'


Missing packages in rawhide... probably we need a successful  "compose"

Comment 4 Remi Collet 2017-08-26 06:50:14 UTC
Despite a rawhide repository update (Fri, 25 Aug 2017 13:26:56 +0200)

Missing packages sare still not there
Ex: https://rpms.remirepo.net/rpmphp/zoom.php?rpm=php-PhpCollection

Comment 6 Remi Collet 2017-09-22 05:11:46 UTC
Sadly, the needed packages are still not available in the repository, including rawhide...

BTW I will run the review against local packages, and let you manage this issue (perhaps only have to wait for a new "compose")

Comment 7 Remi Collet 2017-09-22 05:19:14 UTC
Minor test failure, only with PHP 5.6 and Twig 2 (ok with other PHP versions or with Twig 1)


There were 2 errors:

1) JMS\Serializer\Tests\Twig\SerializerExtensionTest::testSerialize
Argument 1 passed to Twig_Filter::__construct() must be an instance of string, string given, called in /dev/shm/extras/BUILDROOT/php-jms-serializer-1.8.1-1.fc25.remi.x86_64/usr/share/php/JMS/Serializer/Twig/SerializerExtension.php on line 46 and defined

/usr/share/php/Twig2/Filter.php:35
/dev/shm/extras/BUILDROOT/php-jms-serializer-1.8.1-1.fc25.remi.x86_64/usr/share/php/JMS/Serializer/Twig/SerializerExtension.php:46
/dev/shm/extras/BUILD/serializer-ce65798f722c836f16d5d7d2e3ca9d21e0fb4331/tests/Twig/SerializerExtensionTest.php:40

2) JMS\Serializer\Tests\Twig\SerializerExtensionTest::testRuntimeSerializerExtension
Argument 1 passed to Twig_Filter::__construct() must be an instance of string, string given, called in /dev/shm/extras/BUILD/serializer-ce65798f722c836f16d5d7d2e3ca9d21e0fb4331/tests/Twig/SerializerExtensionTest.php on line 70 and defined

/usr/share/php/Twig2/Filter.php:35
/dev/shm/extras/BUILD/serializer-ce65798f722c836f16d5d7d2e3ca9d21e0fb4331/tests/Twig/SerializerExtensionTest.php:70


Notice: "php56" should be last case of the loop, as it disable some tests (sed)

BTW, not a blocker as Fedora only have PHP 7

Comment 8 Remi Collet 2017-09-22 05:29:33 UTC
Simply, Twig 2 is not compatible with PHP 5 ;)
(could be tweak in autoloader, but perhaps doesn't worth the work for Fedora)

Comment 9 Remi Collet 2017-09-22 05:32:38 UTC
Created attachment 1329367 [details]
phpci.log

phpCompatInfo version 5.0.8 DB version 1.23.0 built Jul 17 2017
     20:33:14 CEST static analyze results

Comment 10 Remi Collet 2017-09-22 05:33:23 UTC
Created attachment 1329368 [details]
phpci.log

Comment 11 Remi Collet 2017-09-22 05:34:19 UTC
Created attachment 1329369 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1470358 -L /dev/shm/extras/RPMS/noarch
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /dev/shm/extras/RPMS/noarch/php-PhpCollection-0.5.0-4.fc25.remi.noarch.rpm
    /dev/shm/extras/RPMS/noarch/php-JMSParser-1.0.0-12.fc25.remi.noarch.rpm

Comment 12 Remi Collet 2017-09-22 05:35:33 UTC
[x]: Package complies to the Packaging Guidelines


=== APPROVED ===

Comment 14 Shawn Iwinski 2017-09-22 20:08:47 UTC
FYI bug 1483262 is up next :)

Comment 15 Gwyn Ciesla 2017-09-22 21:16:10 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-jms-serializer

Comment 16 Fedora Update System 2017-09-24 20:11:22 UTC
php-jms-serializer-1.8.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6aea60dd2a

Comment 17 Fedora Update System 2017-09-24 20:11:30 UTC
php-jms-serializer-1.8.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d4d7812e2e

Comment 18 Fedora Update System 2017-09-24 20:11:36 UTC
php-jms-serializer-1.8.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5510eed4b

Comment 19 Fedora Update System 2017-09-25 06:21:23 UTC
php-jms-serializer-1.8.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a5510eed4b

Comment 20 Fedora Update System 2017-09-25 09:21:05 UTC
php-jms-serializer-1.8.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d4d7812e2e

Comment 21 Fedora Update System 2017-09-25 16:22:50 UTC
php-jms-serializer-1.8.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6aea60dd2a

Comment 22 Fedora Update System 2017-09-30 06:52:58 UTC
php-jms-serializer-1.8.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-10-04 22:22:22 UTC
php-jms-serializer-1.8.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-10-06 02:21:26 UTC
php-jms-serializer-1.8.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.